Zum Hauptinhalt springen

List CertificateRequests belonging to a Project or an Ingress

GET/v2/certificate-requests
API-Version
v2
Request-Methode
GET
Operation-ID
ssl-list-certificate-requests

Request​

Responses​

Format
application/json
Beschreibung

OK

  • Array[
    • *object
      • certificateDataobjectrequired
        • caBundlestring
        • certificatestring
        • signingRequeststring
      • certificateTypeinteger (einer von: 0, 1, 2, 3)required

        Specifies the type of certificate.

        Possible values:

        • 0 – UNSPECIFIED: The certificate type is not specified.
        • 1 – INTERNAL: A certificate issued and managed internally by the system.
        • 2 – EXTERNAL: A certificate provided by an external source and imported into the system.
        • 3 – DNS: A certificate validated using DNS-based verification.
      • commonNamestring
      • contactobject
        • citystring
        • companystring
        • countrystring

          Two letter abbreviation - country code (ISO 3166-1 Alpha-2).

        • organizationalUnitstring
        • statestring
      • createdAtstring (date-time)required
      • dnsNamesArray von string
        • Array[
          • *string
          ]
      • idstring (uuid)required
      • isCompletedbooleanrequired
      • issuerstring
      • projectIdstring (uuid)required
      • validFromstring (date-time)
      • validTostring (date-time)
    ]
Content-Type: application/json

[
{
"certificateData": {
"caBundle": "string",
"certificate": "string",
"signingRequest": "string"
},
"certificateType": 123,
"commonName": "string",
"contact": {
"city": "string",
"company": "string",
"country": "DE",
"organizationalUnit": "string",
"state": "string"
},
"createdAt": "1985-10-26T01:21:00.000Z",
"dnsNames": [
"string"
],
"id": "f0f86186-0a5a-45b2-aa33-502777496347",
"isCompleted": true,
"issuer": "string",
"projectId": "f0f86186-0a5a-45b2-aa33-502777496347",
"validFrom": "1985-10-26T01:21:00.000Z",
"validTo": "1985-10-26T01:21:00.000Z"
}
]
{
"items": {
"properties": {
"certificateData": {
"properties": {
"caBundle": {
"type": "string"
},
"certificate": {
"type": "string"
},
"signingRequest": {
"type": "string"
}
},
"type": "object"
},
"certificateType": {
"description": "Specifies the type of certificate.\n\nPossible values:\n- `0` – `UNSPECIFIED`: The certificate type is not specified.\n- `1` – `INTERNAL`: A certificate issued and managed internally by the system.\n- `2` – `EXTERNAL`: A certificate provided by an external source and imported into the system.\n- `3` – `DNS`: A certificate validated using DNS-based verification.\n",
"enum": [
0,
1,
2,
3
],
"type": "integer"
},
"commonName": {
"type": "string"
},
"contact": {
"properties": {
"city": {
"type": "string"
},
"company": {
"type": "string"
},
"country": {
"description": "Two letter abbreviation - country code (ISO 3166-1 Alpha-2).",
"example": "DE",
"pattern": "^[A-Z]{2}$",
"type": "string"
},
"organizationalUnit": {
"type": "string"
},
"state": {
"type": "string"
}
},
"type": "object"
},
"createdAt": {
"format": "date-time",
"type": "string"
},
"dnsNames": {
"items": {
"type": "string"
},
"type": "array"
},
"id": {
"format": "uuid",
"type": "string"
},
"isCompleted": {
"type": "boolean"
},
"issuer": {
"type": "string"
},
"projectId": {
"format": "uuid",
"type": "string"
},
"validFrom": {
"format": "date-time",
"type": "string"
},
"validTo": {
"format": "date-time",
"type": "string"
}
},
"required": [
"id",
"certificateType",
"projectId",
"certificateData",
"isCompleted",
"createdAt"
],
"type": "object"
},
"type": "array"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/certificate-requests?projectId=string&ingressId=f0f86186-0a5a-45b2-aa33-502777496347
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.domain.sslListCertificateRequests({
"queryParameters": {
"projectId": "string",
"ingressId": "f0f86186-0a5a-45b2-aa33-502777496347"
}
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Domain\SslListCertificateRequests\SslListCertificateRequestsRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new SslListCertificateRequestsRequest())
->withProjectId("string")
->withIngressId("f0f86186-0a5a-45b2-aa33-502777496347");
$response = $client->domain()->sslListCertificateRequests($request);

var_dump($response->getBody();

Auf dieser Seite